
Foreman - Feature #11309

Ability to open bulk action on hosts in as a new page instead of always having to use the modal

window

08/07/2015 08:16 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2892

  

Description

When adding a bulk action (from a remote execution plugin in this case), we need to open the page in a new window,

as we need more Javascript and complicated user interaction than the modal window allows.

The "interface" (the `multiple_actions` helper) should allows to choose, if the model window + ajax, or standard request should

be used.

Related issues:

Blocks Foreman Remote Execution - Bug #12312: host index bulk action triggere... Closed 10/26/2015

Associated revisions

Revision e7a8e82e - 11/10/2015 10:48 AM - Stephen Benjamin

fixes #11309 - allow bulk hosts tool to open in new page

History

#1 - 10/26/2015 04:41 PM - Ivan Necas

- Blocks Bug #12312: host index bulk action triggered twice added

#2 - 11/05/2015 02:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/2892 added

#3 - 11/10/2015 10:50 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Please note that as per https://github.com/theforeman/foreman/pull/2892#issuecomment-155458015 this isn't a documented plugin API, we can't

guarantee its stability.  It would be great to see this added to the official plugin API.

#4 - 11/10/2015 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e7a8e82e37afc86e5969d94768d150931e7539aa.
